require 'test_helper'

class SongTest < ActiveSupport::TestCase
  fixtures :songs
  
  def test_should_require_song_length
    song = Song.create(:song_length => nil)
    assert song.errors.on(:song_length), "Missing Song Length should add an error"
  end
  
  def test_should_require_description
    song = Song.create(:description => nil)
    assert song.errors.on(:description), "Missing Description Should add an error"
  end
  
  def test_should_require_author
    song = Song.create(:author => nil)
    assert song.errors.on(:author), "Missing Author Should add an error"
  end
end
